### Function Macro

# GLib static_mutex_lock

deprecated: 2.32 since: 2.0

#### Declaration

    #define g_static_mutex_lock (
      mutex
    )

#### Description

Works like g_mutex_lock(), but for a `GStaticMutex`.

Available since: 2.0

Deprecated since: 2.32

Use `g_mutex_lock()`

This function is not directly available to language bindings.

#### Parameters

`mutex`

  Type: `-`

  A `GStaticMutex`.